{% extends 'base.html.twig' %}

{% block title %}Connexion{% endblock %}

{% block body %}

    <div class="wrapper page-login">
        <form method="post" class="form">

            <h1 class="h3 mb-3 font-weight-normal">Connexion</h1>

            {% if error %}
                <div class="msg-error">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
            {% endif %}

            {% if app.user %}

                <div class="mb-3">
                    Tu es déjà connecté en tant que {{ app.user.username }}, <a href="{{ path('app_logout') }}">Déconnexion</a>
                </div>

            {% else %}
                <div class="field">
                    <label for="inputEmail">Email</label>
                    <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control" required autofocus>
                </div>
                <div class="field">
                    <label for="inputPassword">Mot de passe</label>
                    <input type="password" name="password" id="inputPassword" class="form-control" required>
                </div>
                <input type="hidden" name="_csrf_token"
                       value="{{ csrf_token('authenticate') }}"
                >
                <button class="btn " type="submit"><span>Valider</span></button>
            {% endif %}


            {#
                Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
                See https://symfony.com/doc/current/security/remember_me.html

                <div class="checkbox mb-3">
                    <label>
                        <input type="checkbox" name="_remember_me"> Remember me
                    </label>
                </div>
            #}

        </form>
    </div>

{% endblock %}
